Subject: Re: [lojban] LALR1 question

From: Robin Lee Powell <[email-masked]>
Date: Mon, 27 Aug 2001 13:53:06 -0700

On Mon, Aug 27, 2001 at 04:38:44PM -0400, Rob Speer wrote:
> On Mon, Aug 27, 2001 at 11:17:55AM -0600, Jay Kominek wrote:
> > Hrm. A parser with back tracking or more look ahead (or basically any
> > parser which can parse a larger class of languages) could take the same
> > YACC grammar and be able to parse "le broda joi le brode" correctly... I
> > think...
> 
> So, what is the advantage to having Lojban interpreted by a parser which can't
> backtrack or look ahead more than one word?

All other parsers turn out to be _extremely_ inefficient, IIRC from my
course on such things.

So, basically, it's to make computers happy.

-Robin

-- 
http://www.digitalkingdom.org/~rlpowell/ BTW, I'm male, honest.
le datni cu djica le nu zifre .iku'i .oi le so'e datni cu to'e te pilno
je xlali -- RLP http://www.lojban.org/